Package org.drinkless.tdlib

# Class TdApi.EncryptedPassportElement

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EncryptedPassportElement

Enclosing class:
  `TdApi`

public static class TdApi.EncryptedPassportElement extends TdApi.Object
Contains information about an encrypted Telegram Passport element; for bots only.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `data`
  Encrypted JSON-encoded data about the user.
  `TdApi.DatedFile[]`
  `files`
  List of attached files.
  `TdApi.DatedFile`
  `frontSide`
  The front side of an identity document.
  `String`
  `hash`
  Hash of the entire element.
  `TdApi.DatedFile`
  `reverseSide`
  The reverse side of an identity document; may be null.
  `TdApi.DatedFile`
  `selfie`
  Selfie with the document; may be null.
  `TdApi.DatedFile[]`
  `translation`
  List of files containing a certified English translation of the document.
  `TdApi.PassportElementType`
  `type`
  Type of Telegram Passport element.
  `String`
  `value`
  Unencrypted data, phone number or email address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptedPassportElement()`
  Contains information about an encrypted Telegram Passport element; for bots only.
  `EncryptedPassportElement(TdApi.PassportElementType type, byte[] data, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation, TdApi.DatedFile[] files, String value, String hash)`
  Contains information about an encrypted Telegram Passport element; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.PassportElementType type
    Type of Telegram Passport element.

  - ### data

    public byte[] data
    Encrypted JSON-encoded data about the user.

  - ### frontSide

    public TdApi.DatedFile frontSide
    The front side of an identity document.

  - ### reverseSide

    @Nullable public TdApi.DatedFile reverseSide
    The reverse side of an identity document; may be null.

  - ### selfie

    @Nullable public TdApi.DatedFile selfie
    Selfie with the document; may be null.

  - ### translation

    public TdApi.DatedFile[] translation
    List of files containing a certified English translation of the document.

  - ### files

    public TdApi.DatedFile[] files
    List of attached files.

  - ### value

    public String value
    Unencrypted data, phone number or email address.

  - ### hash

    public String hash
    Hash of the entire element.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EncryptedPassportElement

    public EncryptedPassportElement()
    Contains information about an encrypted Telegram Passport element; for bots only.

  - ### EncryptedPassportElement

    public EncryptedPassportElement(TdApi.PassportElementType type, byte[] data, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation, TdApi.DatedFile[] files, String value, String hash)
    Contains information about an encrypted Telegram Passport element; for bots only.
    Parameters:
      `type` - Type of Telegram Passport element.
      `data` - Encrypted JSON-encoded data about the user.
      `frontSide` - The front side of an identity document.
      `reverseSide` - The reverse side of an identity document; may be null.
      `selfie` - Selfie with the document; may be null.
      `translation` - List of files containing a certified English translation of the document.
      `files` - List of attached files.
      `value` - Unencrypted data, phone number or email address.
      `hash` - Hash of the entire element.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR